**** EML 20B Bartola ******************************************
* Created on 05/07/2024 10:14 using paint_kit.jar 3.1 
* www.dmitrynizh.com/tubeparams_image.htm
* Plate Curves image file: /Users/zoran/Desktop/Model_Paint_Tools/Graph/
* Data source link: Bartola tube measurements
* 
* EML 20B maximum values:
* Vamax=550V
* Iamax=60mA
* Pamax=25W
* 
* filament
* Vf=5V 5% (+-2.5%)
* If=1.4A
* Wf=7W
* 
* Capacitances estimated - not present in datasheets
* 
*----------------------------------------------------------------------------------
.SUBCKT 20B_Bartola 1 2 3 ; Plate Grid Cathode
+ PARAMS: CCG=8P  CGP=7P CCP=6P RGI=2000
+ MU=20.7 KG1=1230 KP=358.2 KVB=60 VCT=-3.68 EX=1.4 
* Vp_MAX=700 Ip_MAX=100 Vg_step=2 Vg_start=4 Vg_count=13
* Rp=100000 Vg_ac=4.44 P_max=25 Vg_qui=-4.5 Vp_qui=300
* X_MIN=73 Y_MIN=40 X_SIZE=560 Y_SIZE=510 FSZ_X=1457 FSZ_Y=644 XYGrid=true
* showLoadLine=y showIp=y isDHT=n isPP=n isAsymPP=n showDissipLimit=y 
* showIg1=n gridLevel2=n isInputSnapped=n  
* XYProjections=y harmonicPlot=y dissipPlot=y 
*----------------------------------------------------------------------------------
E1 7 0 VALUE={V(1,3)/KP*LOG(1+EXP(KP*(1/MU+(VCT+V(2,3))/SQRT(KVB+V(1,3)*V(1,3)))))} 
RE1 7 0 1G  ; TO AVOID FLOATING NODES
G1 1 3 VALUE={(PWR(V(7),EX)+PWRS(V(7),EX))/KG1} 
RCP 1 3 1G   ; TO AVOID FLOATING NODES
C1 2 3 {CCG} ; CATHODE-GRID 
C2 2 1 {CGP} ; GRID=PLATE 
C3 1 3 {CCP} ; CATHODE-PLATE 
D3 5 3 DX ; POSITIVE GRID CURRENT 
R1 2 5 {RGI} ; POSITIVE GRID CURRENT 
.MODEL DX D(IS=1N RS=1 CJO=10PF TT=1N) 
.ENDS 20B_Bartola
*$