****  EML 20B Composite DHT *****************************************
* Created on 05/07/2024 10:13 using paint_kit.jar 3.1 
* www.dmitrynizh.com/tubeparams_image.htm
* Plate Curves image file: /Users/zoran/Desktop/Model_Paint_Tools/Graph/
* Data source link: Bartola tube measurements
* 
* EML 20B maximum values:
* Vamax=550V
* Iamax=60mA
* Pamax=25W
* 
* filament
* Vf=5V 5% (+-2.5%)
* If=1.4A
* Wf=7W
* 
* Capacitances estimated - not present in datasheets
* 
*----------------------------------------------------------------------------------
.SUBCKT 20B_DHT_Bartola 1 2 3 4 ; P G K1 K2
+ PARAMS: CCG=8P  CGP=7P CCP=6P RFIL=3.57
+ MU=20.7 KG1=1230 KP=358.2 KVB=60 VCT=-3.68 EX=1.4 RGI=2000
* Vp_MAX=700 Ip_MAX=100 Vg_step=2 Vg_start=4 Vg_count=13
* Rp=100000 Vg_ac=4.44 P_max=25 Vg_qui=-4.5 Vp_qui=300
* X_MIN=73 Y_MIN=40 X_SIZE=560 Y_SIZE=510 FSZ_X=1457 FSZ_Y=644 XYGrid=true
* showLoadLine=y showIp=y isDHT=y isPP=n isAsymPP=n showDissipLimit=y 
* showIg1=n gridLevel2=n isInputSnapped=n  
* XYProjections=y harmonicPlot=y dissipPlot=y 
*----------------------------------------------------------------------------------
RFIL_LEFT    3  31 {RFIL/4}
RFIL_RIGHT   4  41 {RFIL/4}
RFIL_MIDDLE1 31 34 {RFIL/4}
RFIL_MIDDLE2 34 41 {RFIL/4}
E11 32 0  VALUE={V(1,31)/KP*LOG(1+EXP(KP*(1/MU+V(2,31)/SQRT(KVB+V(1,31)*V(1,31)))))} 
E12 42 0  VALUE={V(1,41)/KP*LOG(1+EXP(KP*(1/MU+V(2,41)/SQRT(KVB+V(1,41)*V(1,41)))))} 
RE11 32 0 1G 
RE12 42 0 1G 
G11 1 31 VALUE={(PWR(V(32),EX)+PWRS(V(32),EX))/(2*KG1)} 
G12 1 41 VALUE={(PWR(V(42),EX)+PWRS(V(42),EX))/(2*KG1)} 
RCP1 1 34 1G 
C1 2 34 {CCG} ; CATHODE-GRID 
C2 2 1 {CGP} ; GRID=PLATE 
C3 1 34 {CCP} ; CATHODE-PLATE 
D3 5 3 DX ; FOR GRID CURRENT 
D4 6 4 DX ; FOR GRID CURRENT 
RG1 2 5 {2*RGI} ; FOR GRID CURRENT 
RG2 2 6 {2*RGI} ; FOR GRID CURRENT 
.MODEL DX D(IS=1N RS=1 CJO=10PF TT=1N) 
.ENDS 20B_DHT_Bartola
*$